// Code generated by mockery v2.9.4. DO NOT EDIT.

package datamock

import (
	mock "github.com/stretchr/testify/mock"
	data "gitlab.com/my-group322/pictures/auth-svc/internal/data"
)

// VerificationTokensQ is an autogenerated mock type for the VerificationTokensQ type
type VerificationTokensQ struct {
	mock.Mock
}

// Create provides a mock function with given fields: token
func (_m *VerificationTokensQ) Create(token *data.VerificationToken) error {
	ret := _m.Called(token)

	var r0 error
	if rf, ok := ret.Get(0).(func(*data.VerificationToken) error); ok {
		r0 = rf(token)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// DeleteByEmail provides a mock function with given fields: email
func (_m *VerificationTokensQ) DeleteByEmail(email string) error {
	ret := _m.Called(email)

	var r0 error
	if rf, ok := ret.Get(0).(func(string) error); ok {
		r0 = rf(email)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetByToken provides a mock function with given fields: token
func (_m *VerificationTokensQ) GetByToken(token string) (*data.VerificationToken, error) {
	ret := _m.Called(token)

	var r0 *data.VerificationToken
	if rf, ok := ret.Get(0).(func(string) *data.VerificationToken); ok {
		r0 = rf(token)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*data.VerificationToken)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(token)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
